package com.steerinfo.ems.tcmdatasourcetimegran.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCmDatasourceTimegran implements IBasePO<String> {
    /**
     * 记录ID(RECORDID,VARCHAR,40)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 数据源名称(DATASOURCENAME,VARCHAR,100)
     */
    @ApiModelProperty(value="数据源名称",required=true)
    private String datasourcename;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 计算模式(CALCMODE,VARCHAR,40)
     */
    @ApiModelProperty(value="计算模式",required=true)
    private String calcmode;

    /**
     * 计算粒度(CALCGRAN,VARCHAR,40)
     */
    @ApiModelProperty(value="计算粒度",required=true)
    private String calcgran;

    /**
     * 启用累计(SUMENABLED,VARCHAR,1)
     */
    @ApiModelProperty(value="启用累计",required=true)
    private String sumenabled;

    /**
     * 累计粒度(SUMGRAN,VARCHAR,40)
     */
    @ApiModelProperty(value="累计粒度",required=true)
    private String sumgran;

    /**
     * 自动点逻辑(AUTOCPMODE,VARCHAR,40)
     */
    @ApiModelProperty(value="自动点逻辑",required=true)
    private String autocpmode;

    /**
     * 计算单耗(UCENABLED,VARCHAR,1)
     */
    @ApiModelProperty(value="计算单耗",required=true)
    private String ucenabled;

    /**
     * 允许精度(DIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="允许精度",required=true)
    private Short digits;

    /**
     * 累计值精度(SUMDIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="累计值精度",required=true)
    private Short sumdigits;

    /**
     * 单耗值精度(UCDIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="单耗值精度",required=true)
    private Short ucdigits;

    /**
     * 单耗累计值精度(SUMUCDIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="单耗累计值精度",required=true)
    private Short sumucdigits;

    /**
     * 折标值精度(STDDIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="折标值精度",required=true)
    private Short stddigits;

    /**
     * 折标累计值精度(SUMSTDDIGITS,DECIMAL,2)
     */
    @ApiModelProperty(value="折标累计值精度",required=true)
    private Short sumstddigits;

    /**
     * 使用累计计算公式(ENABLESUMFMLA,VARCHAR,1)
     */
    @ApiModelProperty(value="使用累计计算公式",required=true)
    private String enablesumfmla;

    /**
     * 初始偏移(INIT_OFFSET,VARCHAR,40)
     */
    @ApiModelProperty(value="初始偏移",required=true)
    private String initOffset;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getDatasourcename() {
        return datasourcename;
    }

    public void setDatasourcename(String datasourcename) {
        this.datasourcename = datasourcename == null ? null : datasourcename.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getCalcmode() {
        return calcmode;
    }

    public void setCalcmode(String calcmode) {
        this.calcmode = calcmode == null ? null : calcmode.trim();
    }

    public String getCalcgran() {
        return calcgran;
    }

    public void setCalcgran(String calcgran) {
        this.calcgran = calcgran == null ? null : calcgran.trim();
    }

    public String getSumenabled() {
        return sumenabled;
    }

    public void setSumenabled(String sumenabled) {
        this.sumenabled = sumenabled == null ? null : sumenabled.trim();
    }

    public String getSumgran() {
        return sumgran;
    }

    public void setSumgran(String sumgran) {
        this.sumgran = sumgran == null ? null : sumgran.trim();
    }

    public String getAutocpmode() {
        return autocpmode;
    }

    public void setAutocpmode(String autocpmode) {
        this.autocpmode = autocpmode == null ? null : autocpmode.trim();
    }

    public String getUcenabled() {
        return ucenabled;
    }

    public void setUcenabled(String ucenabled) {
        this.ucenabled = ucenabled == null ? null : ucenabled.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public Short getSumdigits() {
        return sumdigits;
    }

    public void setSumdigits(Short sumdigits) {
        this.sumdigits = sumdigits;
    }

    public Short getUcdigits() {
        return ucdigits;
    }

    public void setUcdigits(Short ucdigits) {
        this.ucdigits = ucdigits;
    }

    public Short getSumucdigits() {
        return sumucdigits;
    }

    public void setSumucdigits(Short sumucdigits) {
        this.sumucdigits = sumucdigits;
    }

    public Short getStddigits() {
        return stddigits;
    }

    public void setStddigits(Short stddigits) {
        this.stddigits = stddigits;
    }

    public Short getSumstddigits() {
        return sumstddigits;
    }

    public void setSumstddigits(Short sumstddigits) {
        this.sumstddigits = sumstddigits;
    }

    public String getEnablesumfmla() {
        return enablesumfmla;
    }

    public void setEnablesumfmla(String enablesumfmla) {
        this.enablesumfmla = enablesumfmla == null ? null : enablesumfmla.trim();
    }

    public String getInitOffset() {
        return initOffset;
    }

    public void setInitOffset(String initOffset) {
        this.initOffset = initOffset == null ? null : initOffset.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", datasourcename=").append(datasourcename);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", calcmode=").append(calcmode);
        sb.append(", calcgran=").append(calcgran);
        sb.append(", sumenabled=").append(sumenabled);
        sb.append(", sumgran=").append(sumgran);
        sb.append(", autocpmode=").append(autocpmode);
        sb.append(", ucenabled=").append(ucenabled);
        sb.append(", digits=").append(digits);
        sb.append(", sumdigits=").append(sumdigits);
        sb.append(", ucdigits=").append(ucdigits);
        sb.append(", sumucdigits=").append(sumucdigits);
        sb.append(", stddigits=").append(stddigits);
        sb.append(", sumstddigits=").append(sumstddigits);
        sb.append(", enablesumfmla=").append(enablesumfmla);
        sb.append(", initOffset=").append(initOffset);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}